﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_flow_words
{
    public class Block
    {
        public RectangleF Bounds;
        public float TopHeight;
        public float BottomHeight
        {
            get { return Bounds.Height - TopHeight; }
        }

        public Block()
        {
        }
        public Block(RectangleF bounds, float top_height)
        {
            Bounds = bounds;
            TopHeight = top_height;
        }

        // Draw the block.
        public virtual void Draw(Graphics gr)
        {
            if (Bounds.X < 0) return;

            gr.FillRectangle(Brushes.LightGreen, Bounds);
            gr.DrawRectangle(Pens.Green, Bounds);

            float x1 = Bounds.Left;
            float x2 = Bounds.Right;
            float y = Bounds.Top + TopHeight;
            gr.DrawLine(Pens.Red, x1, y, x2, y);
        }
    }
}