﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using System.Drawing;

namespace howto_flow_words
{
    public class TextBlock : Block
    {
        public Font Font;
        public String Text;

        public TextBlock(string text, Font font, Graphics gr)
        {
            Font = font;
            Text = text;

            SizeF size = gr.MeasureString(Text, font);
            Bounds = new RectangleF(new PointF(), size);

            FontInfo font_info = new FontInfo(gr, font);
            TopHeight = font_info.AscentPixels;
        }

        // Draw the text block.
        public override void Draw(Graphics gr)
        {
            if (Bounds.X < 0) return;

            // Draw the box (optional). 
            base.Draw(gr);

            // Draw the text.
            gr.DrawString(Text, Font, Brushes.Black, Bounds);
        }
    }
}
